Package com.independentsoft.graph

# Class Util

java.lang.Object
com.independentsoft.graph.Util

public class Util extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static byte[]`
  `asByteArray​(UUID uuid)`
  As byte array.
  `static void`
  `decodeBase64​(String s, OutputStream os)`
  Decode base64.
  `static String`
  `encodeUrl​(String url)`
  Encode url.
  `static String`
  `encodeUrlInputStream​(String url)`
  Encode url.
  `static Date`
  `parseDate​(String utcDate)`
  `static Date`
  `parseDate​(String utcDate, String format)`
  `static int`
  `parseInt​(String input)`
  `static Date`
  `parseLocalDate​(String localDateString)`
  `static String`
  `toLocalTime​(Date date)`
  `static String`
  `toLocalTime​(Date date, String format)`
  `static String`
  `toUniversalTime​(Date date)`
  `static String`
  `toUniversalTime​(Date date, String format)`
  `static String`
  `trimEnd​(String s)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### trimEnd

    public static final String trimEnd​(String s)

  - ### parseInt

    public static final int parseInt​(String input)

  - ### parseLocalDate

    public static Date parseLocalDate​(String localDateString) throws ParseException
    Throws:
      `ParseException`

  - ### parseDate

    public static Date parseDate​(String utcDate) throws ParseException
    Throws:
      `ParseException`

  - ### parseDate

    public static Date parseDate​(String utcDate, String format) throws ParseException
    Throws:
      `ParseException`

  - ### toUniversalTime

    public static String toUniversalTime​(Date date)

  - ### toUniversalTime

    public static String toUniversalTime​(Date date, String format)

  - ### toLocalTime

    public static String toLocalTime​(Date date)

  - ### toLocalTime

    public static String toLocalTime​(Date date, String format)

  - ### encodeUrl

    public static final String encodeUrl​(String url)
    Encode url.
    Parameters:
      `url` - the url
    Returns:
      the string

  - ### encodeUrlInputStream

    public static final String encodeUrlInputStream​(String url)
    Encode url.
    Parameters:
      `url` - the url
    Returns:
      the string

  - ### decodeBase64

    public static void decodeBase64​(String s, OutputStream os) throws IOException
    Decode base64.
    Parameters:
      `s` - the s
      `os` - the os
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### asByteArray

    public static byte[] asByteArray​(UUID uuid)
    As byte array.
    Parameters:
      `uuid` - the uuid
    Returns:
      the byte[]